--- layout: project title: py-text-monitor short: pytextmonitor commentIssueId: 3 description: Minimalistic Plasmoid script that looks like widgets in Awesome WM hasgui: true developers: - Evgeniy Alelseev license: GPL links: - Plasmoid page on kde-look.org - DataEngine page on kde-look.org - Archlinux AUR package ---

## Information

A minimalistic Plasmoid script written on `Python2`. It looks like widgets in Awesome WM. My plasmoid is highly and easily configurable and does not clutter your KDE system. Also this packages has an additional DataEngine written on `CPP` (old version was written on `Python2`).

### Developers and contributors

{% for devel in page.developers %}
- {{ devel }}
{% endfor %}

### License

- {{ page.license }}

## Installation

### Instruction

- Download an archive with latest version of source files.

- Extract it and install the DataEngine:

      cd /where/is/applet/
      mkdir build && cd build
      cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --localprefix` -DCMAKE_BUILD_TYPE=Release ../
      make
      make install

  For global isntallation type:

      cd /where/is/applet/
      mkdir build && cd build
      cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` -DCMAKE_BUILD_TYPE=Release ../
      make
      sudo make install

- Install the Plasmoid:

      plasmapkg -i py-text-monitor-1.5.0.plasmoid

  For global isntallation type:

      sudo plasmapkg -g -i py-text-monitor-1.5.0.plasmoid

### Dependencies

I want note that all were tested on latest version of dependencies.

- kdebase-workspace
- kdebindings-python2
- automoc4 (make)
- cmake (make)
- kdebase-runtime (make)
- lm_sensors (optional, for definition temperature device)
- net-tools (optional, for definition network device)
- sysstat (optional, for notification)
- hddtemp (optional, for HDD temperature monitor)
- one of supported music player - amarok, mtd or qmmp (optional, for music player monitor)
- proprietary video driver (optional, for GPU monitor)

## How to use

Open your Plasma widgetes and select `Py Text Monitor`.

## Configuration

### DataEngine configuration

You may edit DataEngine configuration. It is `/usr/share/config/extsysmon.conf` or `$HOME/.kde4/share/config/extsysmon.conf` depending on the type of installation. Uncomment needed line and edit it.

#### DataEngine options

GPUDEV | Set GPU device. May be `nvidia` (for nVidia), `ati` (for ATI Radeon), `ignore` or `auto`. Default is `auto`.
HDDDEV | Set block device for `hddtemp` comma separated or use `all`. Default is `all`.
MPDADDRESS | MPD host address. Default is `localhost`.
MPDPORT | MPD host port. Default is `6600`.

### Widget configuration

For edited output you must open Settings window and setup output format in lines. Label order will changed if you change slider position. HTML tags in label work normally.
NOTE you do not may set to show `$cpu` in swap label for example. `$cpu` will work only in cpu label.

Available flags are in the table below.

Time label | `$time` | Time in default format. For example, `fri Nov 6 04:48:01 2013`.
`$isotime` | Time in ISO format.
`$shorttime` | Time in short locale format.
`$longtime` | Time in long locale format.
Uptime label | `$uptime` | System uptime, `---d--h--m`.
CPU label | `$cpu` | Total load CPU, %, `-----`.
`$ccpu` | Load CPU for each core, %, `-----`.
CPU clock label | `$cpucl` | Average CPU clock, MHz, `----`.
`$ccpucl` | CPU clock for each core, MHz, `----`.
Temperature label | `$temp` | Average temperature in system, °C, `----`. Temperature device must be specified.
GPU label | `$gpu` | GPU usage, %, `-----`. `aticonfig` or `nvidia-smi` must be installed.
GPU temperature label | `$gputemp` | GPU temperature, °C, `----`. `aticonfig` or `nvidia-smi` must be installed.
Memory label | `$mem` | Memory usage, %, `-----`.
`$memmb` | Memory usage, MB, `-----`.
Swap label | `$swap` | Swap usage, %, `-----`.
`$swapmb` | Swap usage, MB, `-----`.
HDD usage label | `@@/@@` | Mount point (`/` in example) usage, %, `-----`. Separator for mount points list is `;`, for example `@@/;/home;/mnt/global@@`
HDD temperature label | `@@/dev/sda@@` | HDD (`/dev/sda` in example) temperature, °C, `----`. `hddtemp` must be installed.
Network label | `$net` | Download and upload speed, KB/s, `----/----`.
`@@eth0@@` | Do not use automatic device definition, show only specified device (`eth0` in example).
`$netdev` | Current network device.
Battery label | `$bat` | Battery charge, %, `---`. Battery device may be set below. File (`/sys/class/power_supply/BAT0/capacity` by default) must contain only battery charge in percent.
`$ac` | Status of AC device. Returns `(*)` if AC device is online or `( )` if offline. AC device may be set below. File (`/sys/class/power_supply/AC/online` by default) must contain `1` if AC is online.
Music player label | `$artist` | Current song artist. One of supported music players must be installed.
`$title` | Current song title. One of supported music players must be installed.

## Graphical user interface

## Screenshots

Widget (clickable):
Configuration window: